mintupdate problem

Post your update and upgrade related errors here
Forum rules
Before you post please read how to get help

mintupdate problem

Postby Paco on Thu Feb 24, 2011 6:06 am

Hello everybody, this is my first post, and I want to thank all of you for this awesome distro. It's the best I've tried. Very, very good work.

I've got a problem with my installation. When I told mintupdate to install the updates it says "Fix the broken packages first" (translated from spanish, so it may not be the same error message in your installations).

I've gone to synaptic to find those broken packages and there's no one listed.
I've tried aptitude, shows 15 broken packages and fixed all...

Back to mintupdate: I've got the same error message

Tried "apt-get upgrade" It shows two differences in two config files, I kept the mint ones. No errors, I rebooted the system and everything seems ok.

Runned again mintupdate: only 5 updates available (instead the prvious 15) -> When I try to update it shows the same error

apt-get upgrade shows:

Code: Select all
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Los siguientes paquetes se han retenido:
  libva1 linux-headers-2.6-liquorix-amd64 linux-image-2.6-liquorix-amd64
0 actualizados, 0 se instalarán, 0 para eliminar y 3 no actualizados.


(I'm using the liquorix kernel, as you can see)

Is it a problem with the package status file? How could I clean it?

sources list:
Code: Select all
deb http://packages.linuxmint.com/ debian main upstream import
deb http://ftp.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free

## WINE
deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu lucid main

## Kernel Liquorix
deb http://liquorix.net/debian sid main
Paco
Level 1
Level 1
 
Posts: 22
Joined: Thu Feb 24, 2011 5:09 am

Linux Mint is funded by ads and donations.
 

Re: mintupdate problem

Postby Paco on Thu Feb 24, 2011 6:15 am

Sorry, Ive just seen another post with the same error: viewtopic.php?f=141&t=66960
Paco
Level 1
Level 1
 
Posts: 22
Joined: Thu Feb 24, 2011 5:09 am

Re: mintupdate problem

Postby timmer1240 on Thu Feb 24, 2011 10:20 pm

Open the terminal and type in sudo apt-get update then sudo apt-get dist-upgrade and it will fix the problem.
timmer1240
Level 1
Level 1
 
Posts: 49
Joined: Fri Jan 28, 2011 11:45 pm

Re: mintupdate problem

Postby richyrich on Thu Feb 24, 2011 10:36 pm

Paco, I'd like to suggest that in Mint Debian, you use Debian repositories instead of mixing them with Ubuntu.
Updates, upgrades can cause breakage ! not recommended.

Debian ppa's and two install choices available here : http://www.winehq.org/download/deblenny

but it's your choice . . good luck.
User avatar
richyrich
Level 13
Level 13
 
Posts: 4907
Joined: Mon May 04, 2009 8:31 pm
Location: Pirating somewhere along the North Saskatchewan River, Canada


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 2 guests